#include "BmpUtil.h"

#if _MSC_VER > 1000
#pragma once
#endif 

class CNMImgCheckButton : public CButton
{
public:
	enum BUTTON_STATE
	{
		BUTTON_UNCHECK = 0,
		BUTTON_UNCHECKE_HOVER,
		BUTTON_CHECKED,
		BUTTON_CHECKED_HOVER
	};

	void			SetBitmapFile(CString strFileName,UINT nMakse); // set button image..	
	void			SetButtonEnable();// make button enable/disable
	void			SetButtonDisable();	


protected:
	CBmpUtil		m_bmpImage;			// save image.
	UINT			m_nMask;			// save mask
	CRect			m_rectButton;		// about button's position
	CRect			m_rectButtonPos;	// about button's position
	BOOL			m_bCursorOnButton; 	// cursor is on button or not.
	BOOL			m_bHover;			// determine button state is hover or not.
	BOOL			m_bPushed;
	BOOL			m_b3State;
	BOOL			m_bChecked;


public:
	CNMImgCheckButton();


public:
	virtual ~CNMImgCheckButton();	

public:
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void PreSubclassWindow();
	void UnCheckOtherRadio();
	void SetChangeStates();

	int GetCheck() const;
	void SetCheck(int nCheck);
	





protected:

	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point); 
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);

	afx_msg LRESULT OnMouseLeave(WPARAM wparam, LPARAM lparam);
	afx_msg LRESULT OnMouseHover(WPARAM wparam, LPARAM lparam);
	DECLARE_MESSAGE_MAP()
};

